Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class ParserEvent

    java.lang.Object
      jpicedt.format.input.util.ParserEvent

public class ParserEvent
extends Object

An event that gets sent as an argument of the "action" method during an interpret operation

Since:
  jpicedt 1.3
Version:
  $Id: ParserEvent.java,v 1.5.2.1 2007/09/02 11:56:14 reynal Exp $
Author:
  Sylvain Reynal

Constructor Summary
`ParserEvent(AbstractRegularExpression source, Context context, boolean parsingSuccessful, Object value)`

Method Summary
`Context` | `getContext()`
`AbstractRegularExpression` | `getSource()`
`Object` | `getValue()`
`boolean` | `isSuccessful()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserEvent

    public ParserEvent(AbstractRegularExpression source,
                       Context context,
                       boolean parsingSuccessful,
                       Object value)

Method Detail

### toString

    public String toString()

### getSource

    public AbstractRegularExpression getSource()

  Returns:
    the Expression that sourced this event

### getContext

    public Context getContext()

  Returns:
    the Context that is attached to current the parsing operation

### isSuccessful

    public boolean isSuccessful()

  Returns:
    TRUE if this event was emitted as a result of a successful operation

### getValue

    public Object getValue()

  Returns:
    a value that generally identifies the result of the parsing operation, such as : number, word, ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org